#include "robberyRM2PVModel.h"

robberyRM2PVModel::robberyRM2PVModel(bool expandTimeArrays) {
  TheModel=new robbery2ADVISE();
  DefineName("robberyRM2PVModel");
  CreatePVList(3, expandTimeArrays);
  Initialize();
}



PerformanceVariableNode* robberyRM2PVModel::createPVNode(int pvindex, int timeindex) {
  switch(pvindex) {
  case 0:
    return new robberyRM2PV0(timeindex);
    break;
  case 1:
    return new robberyRM2PV1(timeindex);
    break;
  case 2:
    return new robberyRM2PV2(timeindex);
    break;
  }
  return NULL;
}
