#ifndef _ROBBERYRM_PVS_
#define _ROBBERYRM_PVS_
#include <math.h>
#include "Cpp/Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/robbery/robberyADVISE.h"
#include "Cpp/Performance_Variables/InstantOfTime.hpp"


class robberyRMPV0Worker:public InstantOfTime
{
 public:
  robberyADVISE *robbery;
  
  robberyRMPV0Worker();
  ~robberyRMPV0Worker();
  double Reward_Function();
};

class robberyRMPV0:public PerformanceVariableNode
{
 public:
  robberyADVISE *TherobberyADVISE;

  robberyRMPV0Worker *robberyRMPV0WorkerList;

  robberyRMPV0(int timeindex=0);
  ~robberyRMPV0();
  void CreateWorkerList(void);
};

class robberyRMPV1Worker:public InstantOfTime
{
 public:
  robberyADVISE *robbery;
  
  robberyRMPV1Worker();
  ~robberyRMPV1Worker();
  double Reward_Function();
};

class robberyRMPV1:public PerformanceVariableNode
{
 public:
  robberyADVISE *TherobberyADVISE;

  robberyRMPV1Worker *robberyRMPV1WorkerList;

  robberyRMPV1(int timeindex=0);
  ~robberyRMPV1();
  void CreateWorkerList(void);
};

class robberyRMPV2Worker:public InstantOfTime
{
 public:
  robberyADVISE *robbery;
  
  robberyRMPV2Worker();
  ~robberyRMPV2Worker();
  double Reward_Function();
};

class robberyRMPV2:public PerformanceVariableNode
{
 public:
  robberyADVISE *TherobberyADVISE;

  robberyRMPV2Worker *robberyRMPV2WorkerList;

  robberyRMPV2(int timeindex=0);
  ~robberyRMPV2();
  void CreateWorkerList(void);
};

#endif
