#ifndef _ROBBERYRM2_PVS_
#define _ROBBERYRM2_PVS_
#include <math.h>
#include "Cpp/Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/robbery2/robbery2ADVISE.h"
#include "Cpp/Performance_Variables/InstantOfTime.hpp"


class robberyRM2PV0Worker:public InstantOfTime
{
 public:
  robbery2ADVISE *robbery2;
  
  robberyRM2PV0Worker();
  ~robberyRM2PV0Worker();
  double Reward_Function();
};

class robberyRM2PV0:public PerformanceVariableNode
{
 public:
  robbery2ADVISE *Therobbery2ADVISE;

  robberyRM2PV0Worker *robberyRM2PV0WorkerList;

  robberyRM2PV0(int timeindex=0);
  ~robberyRM2PV0();
  void CreateWorkerList(void);
};

class robberyRM2PV1Worker:public InstantOfTime
{
 public:
  robbery2ADVISE *robbery2;
  
  robberyRM2PV1Worker();
  ~robberyRM2PV1Worker();
  double Reward_Function();
};

class robberyRM2PV1:public PerformanceVariableNode
{
 public:
  robbery2ADVISE *Therobbery2ADVISE;

  robberyRM2PV1Worker *robberyRM2PV1WorkerList;

  robberyRM2PV1(int timeindex=0);
  ~robberyRM2PV1();
  void CreateWorkerList(void);
};

class robberyRM2PV2Worker:public InstantOfTime
{
 public:
  robbery2ADVISE *robbery2;
  
  robberyRM2PV2Worker();
  ~robberyRM2PV2Worker();
  double Reward_Function();
};

class robberyRM2PV2:public PerformanceVariableNode
{
 public:
  robbery2ADVISE *Therobbery2ADVISE;

  robberyRM2PV2Worker *robberyRM2PV2WorkerList;

  robberyRM2PV2(int timeindex=0);
  ~robberyRM2PV2();
  void CreateWorkerList(void);
};

#endif
